import 'package:hmg_patient_app/core/enum/viewstate.dart';
import 'package:hmg_patient_app/core/viewModels/pharmacyModule/BestSellerViewModel.dart';
import 'package:hmg_patient_app/pages/base/base_view.dart';
import 'package:hmg_patient_app/uitl/translations_delegate_base.dart';
import 'package:hmg_patient_app/widgets/others/network_base_view.dart';
import 'package:flutter/material.dart';

import '../../../final_products_page.dart';
import '../ProductTileItem.dart';
import 'ViewAllHomeWidget.dart';

class BestSellerWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return BaseView<BestSellerViewModel>(
        onModelReady: (model) => model.getBestSellerProducts(),
        allowAny: true,
        builder: (_, model, wi) => NetworkBaseView(
              isLocalLoader: true,
              baseViewModel: model,
              child: Container(
                child: Column(
                  children: [
                    ViewAllHomeWidget(
                        TranslationBase.of(context).bestSellers,
                        FinalProductsPage(
                          id: "",
                          productType: 20,
                        )),
                    if (model.state != ViewState.BusyLocal)
                      Container(
                        height: MediaQuery.of(context).size.height / 3 + 1,
                        child: ListView.builder(
                          itemBuilder: (ctx, i) => ProductTileItem(
                              model.bestSellerProduct[i],
                              MediaQuery.of(context).size.height / 4 + 20),
                          scrollDirection: Axis.horizontal,
                          itemCount: model.bestSellerProduct.length,
                        ),
                      )
                    else
                      Container(
                        height: 80,
                        child: Center(
                          child: CircularProgressIndicator(
                            backgroundColor: Colors.white,
                            valueColor: AlwaysStoppedAnimation<Color>(
                              Colors.grey[500]!,
                            ),
                          ),
                        ),
                      ),
                  ],
                ),
              ),
            ));
  }
}
